#include<bits/stdc++.h>
using namespace std;
int id,n;
int a[250050],b[250050];
int t,p,q;
int main(){
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	cin>>id>>n;
	for(int i=1;i<=n;i++){
		cin>>a[i];
	}
	for(int i=1;i<=n;i++){
		cin>>b[i];
	}
	cin>>t;
	while(t--){
		cin>>p>>q;
		long long int ans=0;
		for(int i=p;i<=q;i++){
			for(int j=i;j<=q;j++){
				int am=0,bm=0;
				for(int k=i;k<=j;k++){
					am=max(am,a[k]);
					bm=max(bm,b[k]);
				}
				ans=ans+am*bm;
			}
		}
		cout<<ans<<endl;
	}
	return 0;
}